An error due to installation that require binutils package

Stefano Garzarella sgarzare@redhat.com
Tue Mar 30 12:46:46 GMT 2021


Hi John,

On Mon, Mar 29, 2021 at 09:46:49PM +0300, John Simpson wrote:
>Hello,
>
>Kindly ask you to have a look at this bug.
>Thank you for your replies.

It's already fixed in QEMU upstream and the fix will be released with 
the 6.0 version next month (the rc0 is already available):
https://gitlab.com/qemu-project/qemu/-/commit/bbd2d5a8120771ec59b86a80a1f51884e0a26e53

I guess xen-4.14.1 is using an older version, so if you want you can 
backport that patch in your version, the change should be simple.

Thanks,
Stefano

>
>On Mon, Mar 29, 2021 at 7:07 PM George Dunlap <George.Dunlap@citrix.com>
>wrote:
>
>> John,
>>
>> Thanks for your report.  Can you post your bug report
>> xen-devel@lists.xenproject.org ?
>>
>> The bug is in the compilation of QEMU, which is an external project; so
>> it’s possible that we’ll end up having to raise this with that community as
>> well.
>>
>> Thanks,
>>  -George Dunlap
>>
>> > On Mar 28, 2021, at 2:26 PM, John Simpson <ttr9droid@gmail.com> wrote:
>> >
>> > Hello,
>> >
>> > Just forwarding this message to you. Can you give some thoughs about
>> this? Thanks a lot.
>> >
>> >
>> > ---------- Forwarded message ---------
>> > From: Alan Modra <amodra@gmail.com>
>> > Date: Sun, Mar 28, 2021 at 2:21 PM
>> > Subject: Re: An error due to installation that require binutils package.
>> > To: John Simpson <ttr9droid@gmail.com>
>> > Cc: <binutils@sourceware.org>
>> >
>> >
>> > On Sun, Mar 28, 2021 at 12:55:23PM +0300, John Simpson via Binutils
>> wrote:
>> > >   BUILD   pc-bios/optionrom/kvmvapic.img
>> > > ld: Error: unable to disambiguate: -no-pie (did you mean --no-pie ?)
>> >
>> > -no-pie is a gcc option.  Neither -no-pie nor --no-pie is a valid ld
>> > option.  The fault lies with whatever passed -no-pie to ld.
>> >
>> > --
>> > Alan Modra
>> > Australia Development Lab, IBM
>> >
>> >
>> >
>> > ---------- Forwarded message ---------
>> > From: Andreas Schwab <schwab@linux-m68k.org>
>> > Date: Sun, Mar 28, 2021 at 2:17 PM
>> > Subject: Re: An error due to installation that require binutils 
>> > package.
>> > To: John Simpson via Binutils <binutils@sourceware.org>
>> > Cc: John Simpson <ttr9droid@gmail.com>
>> >
>> >
>> > Please report that to the xen project.  ld -no-pie doesn't have a useful
>> > meaning.  It used to mean the same as ld -n -o-pie, which sets "-pie" as
>> > the output file name.
>> >
>> > Andreas.
>> >
>> > --
>> > Andreas Schwab, schwab@linux-m68k.org
>> > GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
>> > "And now for something completely different."
>> >
>> >
>> >
>> > ---------- Forwarded message ---------
>> > From: John Simpson <ttr9droid@gmail.com>
>> > Date: Sun, Mar 28, 2021 at 12:55 PM
>> > Subject: An error due to installation that require binutils package.
>> > To: <binutils@sourceware.org>
>> >
>> >
>> > Hello,
>> >
>> > Recently I got a following error due to installation xen on
>> 5.11.6-1-MANJARO kernel:
>> >
>> >   GEN     target/riscv/trace.c
>> >   GEN     target/s390x/trace.c
>> >   GEN     target/sparc/trace.c
>> >   GEN     util/trace.c
>> >   GEN     config-all-devices.mak
>> > make[1]: Entering directory
>> '/home/username/xen/src/xen-4.14.1/tools/qemu-xen/slirp'
>> > make[1]: Nothing to be done for 'all'.
>> > make[1]: Leaving directory
>> '/home/username/xen/src/xen-4.14.1/tools/qemu-xen/slirp'
>> >   BUILD   pc-bios/optionrom/multiboot.img
>> >   BUILD   pc-bios/optionrom/linuxboot.img
>> >   BUILD   pc-bios/optionrom/linuxboot_dma.img
>> >   BUILD   pc-bios/optionrom/kvmvapic.img
>> > ld: Error: unable to disambiguate: -no-pie (did you mean --no-pie ?)
>> > make[1]: *** [Makefile:53: multiboot.img] Error 1
>> > make[1]: *** Waiting for unfinished jobs....
>> > ld: Error: unable to disambiguate: -no-pie (did you mean --no-pie ?)
>> > make[1]: *** [Makefile:53: linuxboot_dma.img] Error 1
>> >   BUILD   pc-bios/optionrom/pvh.img
>> > ld: Error: unable to disambiguate: -no-pie (did you mean --no-pie ?)
>> > make[1]: *** [Makefile:53: linuxboot.img] Error 1
>> > ld: Error: unable to disambiguate: -no-pie (did you mean --no-pie ?)
>> > make[1]: *** [Makefile:53: kvmvapic.img] Error 1
>> > ld: Error: unable to disambiguate: -no-pie (did you mean --no-pie ?)
>> > make[1]: *** [Makefile:50: pvh.img] Error 1
>> > make: *** [Makefile:581: pc-bios/optionrom/all] Error 2
>> > make: Leaving directory
>> '/home/username/xen/src/xen-4.14.1/tools/qemu-xen-build'
>> > make[3]: *** [Makefile:218: subdir-all-qemu-xen-dir] Error 2
>> > make[3]: Leaving directory '/home/username/xen/src/xen-4.14.1/tools'
>> > make[2]: ***
>> [/home/username/xen/src/xen-4.14.1/tools/../tools/Rules.mk:235:
>> subdirs-install] Error 2
>> > make[2]: Leaving directory '/home/username/xen/src/xen-4.14.1/tools'
>> > make[1]: *** [Makefile:72: install] Error 2
>> > make[1]: Leaving directory '/home/username/xen/src/xen-4.14.1/tools'
>> > make: *** [Makefile:134: install-tools] Error 2
>> > ==> ERROR: A failure occurred in build().
>> >     Aborting...
>> >
>> > Currently I have fresh binutils 2.36.1-2 and it seems to me that the
>> issue is related to this part of code:
>> >
>> > https://github.com/bminor/binutils-gdb/blob/master/ld/lexsup.c#L451
>> >
>> > It seems to me that this could impact far more users than just me.
>> >
>>
>>



More information about the Gcc-help mailing list